#
# spec file for package python-simplejson
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python:%define python python}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}
%if 0%{?fedora} < 13 && 0%{?rhel} <= 6
%{!?py_ver:     %define py_ver     %(python -c "import sys; v=sys.version_info[:2]; print '%%d.%%d'%%v" 2>/dev/null || echo PYTHON-NOT-FOUND)}
%{!?py_prefix:  %define py_prefix  %(python -c "import sys; print sys.prefix" 2>/dev/null || echo PYTHON-NOT-FOUND)}
%{!?py_libdir:  %define py_libdir  %{py_prefix}/%{_lib}/python%{py_ver}}
%{!?py_incdir:  %define py_incdir  %{py_prefix}/include/python%{py_ver}}
%{!?py_sitedir: %define py_sitedir %{py_libdir}/site-packages}
%endif

Summary:        Simple, fast, extensible JSON encoder/decoder for Python

Name:           python-simplejson
Version:        2.1.1
Release:        1.4
License:        BSD 3-Clause
Url:            http://undefined.org/python/#simplejson
Group:          Development/Libraries/Python
Source:         simplejson-%{version}.tar.bz2
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%{py_requires}
%endif

%description
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python 2.3+. It is pure
Python code with no dependencies, but includes an optional C extension
for a serious speed boost.

Author: Bob Ippolito <bob@redivi.com>



%package doc
License:        BSD 3-Clause
Summary:        Documentation for simplejson
Group:          Development/Libraries/Python
Requires:       %name = %version

%description doc
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python 2.3+. It is pure
Python code with no dependencies, but includes an optional C extension
for a serious speed boost.

This package contains documentation for simplejson.

Author: Bob Ippolito <bob@redivi.com>



%prep
%setup -q -n simplejson-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%if 0%{?suse_version}
%fdupes %{buildroot}
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE.txt
%{py_sitedir}*

%files doc
%defattr(0644, root, root, 0755)
%doc docs index.rst

%changelog
* Wed Feb  9 2011 ro@suse.de
- overhaul python macro usage
* Tue Feb  8 2011 ro@suse.de
- make sure py_sitedir is defined
* Tue Feb  8 2011 ro@suse.de
- fix build on RH
* Tue Feb  8 2011 ro@suse.de
- put fdupes calls in suse_version brackets
* Mon Jul  5 2010 alexandre@exatati.com.br
- Update to 2.1.1;
- Spec file cleaned with spec-cleaner.
* Mon May 25 2009 James Oakley <jfunk@funktronics.ca>
- Update to 2.0.9
- Split off doc package
* Wed Dec  3 2008 James Oakley <jfunk@funktronics.ca>
- Update to 2.0.5
* Wed Mar 19 2008 James Oakley <jfunk@funktronics.ca>
- Update to 1.7.5
* Tue Oct 30 2007 James Oakley <jfunk@funktronics.ca>
- Update to 1.7.3
  Sun Sep 09 00:00:00 UTC 2007 - Peter Nixon
- first build
